%{?nodejs_find_provides_and_requires}

%global packagename whet.extend
%global enable_tests 0
# tests disabled because most of the tests are failing

Name:		nodejs-whet-dot-extend
Version:	0.9.9
Release:	1%{?dist}
Summary:	A sharped version of port of jQuery.extend

License:	MIT
URL:		https://github.com/Meettya/whet.extend.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(coffee-script)
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
A sharped version of port of jQuery.extend that actually works on node.js


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
mkdir -p node_modules/.bin/
ln -s %{_bindir}/coffee node_modules/.bin/coffee
ln -s %{_bindir}/mocha node_modules/.bin/mocha
%nodejs_symlink_deps --check
/usr/bin/cake test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 0.9.9-1
- Initial packaging
